-- Script for updating roles after migrating user accounts from AAL-secured repositories to these secured with AAS
--
--  For role 'metadata_repository:horisontal_restricted_editor:' level identifier of type
-- 'bwmeta1.level.hierarchy_Journal_Year' is not recognized by AAS, instead
--
-- Role 'metadata_repository:supervised_editor{:number}' is no longer used with explicit level number

UPDATE uc_user_role
   SET role='metadata_repository:horisontal_restricted_editor:journal_year'
 WHERE role='metadata_repository:horisontal_restricted_editor:bwmeta1.level.hierarchy_Journal_Year';

UPDATE uc_user_role_effective
   SET role='metadata_repository:horisontal_restricted_editor:journal_year'
 WHERE role='metadata_repository:horisontal_restricted_editor:bwmeta1.level.hierarchy_Journal_Year';

UPDATE uc_group_role
   SET role='metadata_repository:horisontal_restricted_editor:journal_year'
 WHERE role='metadata_repository:horisontal_restricted_editor:bwmeta1.level.hierarchy_Journal_Year';

UPDATE uc_group_role_effective
   SET role='metadata_repository:horisontal_restricted_editor:journal_year'
 WHERE role='metadata_repository:horisontal_restricted_editor:bwmeta1.level.hierarchy_Journal_Year';


 UPDATE uc_user_role
   SET role='metadata_repository:supervised_editor'
 WHERE role='metadata_repository:supervised_editor:1';

 UPDATE uc_user_role_effective
   SET role='metadata_repository:supervised_editor'
 WHERE role='metadata_repository:supervised_editor:1';

 UPDATE uc_group_role
   SET role='metadata_repository:supervised_editor'
 WHERE role='metadata_repository:supervised_editor:1';

 UPDATE uc_group_role_effective
   SET role='metadata_repository:supervised_editor'
 WHERE role='metadata_repository:supervised_editor:1';
